
let () =
  let usg_msg = "usage: ./funcyjava.native [file.fj]" in
  let channel = ref stdin in
  Arg.parse [] (fun filename -> channel := open_in filename) usg_msg;

  let lexbuf = Lexing.from_channel !channel in
  let ast = Parser.program Scanner.token lexbuf
  in let sast = Semant.check ast in
  let m = Codegen.translate sast in
    Llvm_analysis.assert_valid_module m;
  print_string (Llvm.string_of_llmodule m)
